/*
** Module   : ClientProtocolHooks.java
** Abstract : API that describes callbacks for WebSockets usage
**
** Copyright (c) 2015, Golden Code Development Corporation.
** ALL RIGHTS RESERVED. Use is subject to license terms.
**
**         Golden Code Development Corporation
**                 CONFIDENTIAL
**
** -#- -I- --Date-- --------------------------------Description-----------------------------------
** 001 GES 20150318 First version.
*/

package com.goldencode.p2j.ui.client.driver.web;

public interface ClientProtocolHooks
{
   /**
    * Called each time a connect occurs, this allows caller-controlled initialization of the
    * remote client.  There can only be 1 connection open at a time, but it is possible for
    * the connection to be opened, closed and then re-opened.
    */
   public void initRemoteClient();
   
   /**
    * Input key events when in VT100 mode.
    * 
    * @param    keyCode
    *           The key code from the input event.
    * @param    charCode
    *           The character code from the input event.
    */
   public void injectVT100Key(int keyCode, char charCode);
}
