/*
** Module   : p2j.sound.js
** Abstract : sound support (beep!) 
**
** Copyright (c) 2014-2015, Golden Code Development Corporation.
** ALL RIGHTS RESERVED. Use is subject to license terms.
**
**         Golden Code Development Corporation
**                 CONFIDENTIAL
**
** -#- -I- --Date-- ------------------------------Description----------------------------------
** 001 MAG 20140110 First version.
** 002 MAG 20140228 Add javadoc.
** 003 GES 20150324 Moved this class to a common resource base and made it generic (so that it
**                  can be used for both ChUI and GUI web clients.
*/

p2j.sound = (function()
{
   /** Sound object which will be returned from this initialization function. */
   var me = {};
   
   /** Audio DOM element. */
   var audio;
   
   /** Audio enabled flag. */
   var enabled = true;
   
   /**
    * Initialize module.
    *  
    * @param {object} cfg  configuration.
    */
   me.init = function(cfg)
   {
      audio = document.getElementById(cfg.sound.id);
      enabled = cfg.sound.enabled;
   };

   /**
    * Play beep sound.
    */
   me.beep = function()
   {
      if (enabled)
      {
         audio.play();
      }
   };
   
   return me;       
}());
